<?php
	
	for($i=0; $i<200000; $i++) {
		print generateValue("marais.proba") . "\n";
	}

	print computeMean("marais.data") . "\n";

	/**
	 * Generates a pseudo-random value following the distribution contained in the "landfile" argument.
	 */ 
	function generateValue($landFile) {
		//read file into an array
		$probabilities = file($landFile);
		//compute a uniformly random value in [0,1]
		$random = rand()/getrandmax();
		$probaSize = count($probabilities);
		$continue = true;
		$i=0;
		// return the index of the intervall in which the random value is contained
		while($continue && $i<$probaSize) {
			if($random <= $probabilities[$i]) {
				$continue = false;
				return $i + 69;
			}
			$i++;
		}
	}

	function computeMean($dataFile) {
		//read data file into an array
		$data = file($dataFile);
		//compute mean value
		$sum = 0;
		foreach($data as $val) {
			$sum = $sum + $val;
		}
		return $sum/count($data);
	}
?>
